Subject: PodParser-1.05 uploaded to CPAN
From: [email-masked] (Brad Appleton)
Date: 20 Feb 1998 12:58:46 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Version 1.05 of PodParser has been uploaded to CPAN for public
consumption. This is a maintenance release with the following
changes:

 * Fixed a bug in Pod::Usage (it was using an obsolete name to access an
   attribute instead of using the new access method).

 * Removed the use of $`, $&, and $' throughout all modules in this package.

I tried to incorporate Nick Ing-Simmons patch which extended the
functionality of Pod::Parser::_interpolate_bottom_up() but his patch
seemed to break Pod::PlainText. I have emailed Nick with this information
and asked him to provide me with more info. I'm still waiting to hear back
from him. For this reason, his patch is _not_ in version 1.05.

PodParser consists of the following Perl 5 modules:

 Pod::Parser
 -----------
   The Perl5 module "Pod::Parser", which provides a base class for
   parsing and selecting sections of POD documentation from an input
   stream.  Please see the POD documentation for this module (embedded
   in the file "Parser.pm") for more details.

 Pod::Select
 -----------
   The Perl5 module "Pod::Select", which provides a subclass of
   Pod::Parser and an exported function named "podselect()" to dump
   selected sections of raw pod documentation from an input stream.
   Please see the POD documentation for this module (embedded in the
   file "Select.pm") and Pod::Parser for more details.

 Pod::Usage
 ----------
   The Perl5 module "Pod::Usage" which provides the function "pod2usage()"
   to print usage messages for a Perl script based on its embedded pod
   documentation. Pod::Usage is a subclass of Pod::PlainText. Please see
   the POD documentation for this module (embedded in the file "Usage.pm")
   for more details. The pod2usage() function is probably the most
   generally useful function in this entire distribution since it is
   useful to just about any Perl5 script that is invoked from the
   command-line.

 Pod::PlainText
 --------------
   A replacement for the Perl5 module "Pod::Text" and the corresponding
   "pod2text()" function. It is derived from the Pod::Parser class.

 Pod::InputObjects
 -----------------
   Some input objects needed by Pod::Parser, and for advanced users of
   Pod::Parser that need more about a command besides its name and text.

PodParser is released under the terms of the Perl Artistic License.

Please email any questions/comments/fixes/enhancements regarding
PodParser to me at the address in my email signature below.

Cheers!
-- 
Brad Appleton <[email-masked]> | http://www.enteract.com/~bradapp/
 "And miles to go before I sleep."   |  3700+ WWW links on CS & Sw-Eng